Emgmbh\UserBundle\Entity\Role:
    type: entity
    uniqueConstraints:
        uniq_name:
            columns:
                - name
    id:
        id:
            type: integer
            options:
                unsigned: true
            id: true
            generator:
                strategy: NONE
    fields:
        name:
            type: string
            nullable: false
            length: 32
        description:
            type: string
            nullable: false
            length: 255

    oneToMany:
        users:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: role
    lifecycleCallbacks: {  }
